# $Revision: 1.49 $, $Date: 2002/10/01 14:46:33 $
# Conditional build:
# --without	aa
# --without	lirc
# --with	directfb

%ifarch alpha
%define		_without_lirc	1
%endif
%ifarch sparc sparc64
%define		_without_lirc	1
%endif

Summary:	A Free Video Player
Summary(ko):	  ÷̾
Summary(pl):	Odtwarzacz video
Summary(pt_BR):	Xine, um player de video
Name:		xine-ui
Version:	0.9.13
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://xine.sourceforge.net/files/%{name}-%{version}.tar.gz
Source1:	xine.desktop
Source2:	xine.png
Source3:	xine_logo.png
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-dfb.patch
Patch2:		%{name}-ac_am.patch
Patch3:		%{name}-no_corba.patch
URL:		http://xine.sourceforge.net
%{?_with_directfb:BuildRequires:	DirectFB-devel}
%{!?_without_aa:BuildRequires:		aalib-devel}
%{!?_without_aa:BuildRequires:		aalib-progs}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
%{!?_without_lirc:BuildRequires:	lirc-devel}
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	xine-lib-devel >= %{version}
Requires:	xine-plugin-audio
Obsoletes:	xine
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_abindir	/usr/bin

%description
xine is a free gpl-licensed video player for unix-like systems. We
support mpeg-2 and mpeg-1 system (audio + video multiplexed) streams,
eventually mpeg-4 and other formats might be added.

xine plays the video and audio data of mpeg-2 videos and synchronizes
the playback of both. Depending on the properties of the mpeg stream,
playback will need more or less processor power, 100% frame rate has
been seen on a 400 MHz P II system.

%description -l fr
xine est un lecteur vido libre sous license GPL pour les systmes de
type unix. Nous supportons les flux mpeg-2 et mpeg-1 (audio + vido
multiplexs), ventuellement le mpeg-4 et d'autres formats peuvent
tres ajouts.

xine joue les donnes vido et audio de vido mpeg-2 et synchronise la
lecture des deux. En fonction des proprites du flux mpeg, la lecture
aura besoin de plus ou moins de puissance du processeur, 100% de
restitution de trame a t vus sur un systme PII 400MHz.

%description -l ko
xine  GPL̼  UNIX   ÷̾Դϴ. 
÷̾ mpeg-2  mpeg 1 Ʈ ϸ,   
߿ mpeg-4  ٸ    Դϴ.

%description -l pl
xine jest wolnodostpnym odtwarzaczem filmw dla systemw uniksowych.
Obsuguje strumienie MPEG-2 i MPEG-1 (przeplatany dwik i obraz),
moe by dodana obsuga MPEG-4 i innych formatw.

%description -l pt_BR
O xine  um video player GPL para sistemas unix. L arquivos MPEG-2 e
MPEG-1, alm de AVIs MS MPEG4 / OpenDivX.

O xine l o contedo vdeo e udio e sincroniza-os em tempo-real. As
necessidades de processador dependem das propriedades de cada arquivo.

%package aa
Summary:	XINE - Ascii Art player
Summary(pl):	XINE - odtwarzacz Ascii Art
Summary(pt_BR):	XINE - Player em Ascii Art (aalib)
Group:		Applications/Graphics
Requires:	xine-lib-aa >= %{version}
Requires:	xine-plugin-audio

%description aa
Video player using Ascii Art library.

%description aa -l pl
Odtwarzacz filmw uywajcy biblioteki Ascii Art.

%description aa -l pt_BR
Interface para o xine utilizando aalib (Ascii Art Library).

%package dfb
Summary:	XINE - player for DirectFB
Summary(pl):	XINE - odtwarzacz dla DirectFB
Group:		Applications/Graphics
Requires:	xine-lib-directfb >= %{version}
Requires:	xine-plugin-audio

%description dfb
Video player using DirectFB library.

%description dfb -l pl
Odtwarzacz filmw uywajcy biblioteki DirectFB.

%prep
%setup -q -n xine-ui-%{version}
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
autoheader
%configure \
	--disable-orbit \
	--disable-corba \
%{?_without_lirc:	--disable-lirc} \
%{!?_without_lirc:	--enable-lirc}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Multimedia,%{_pixmapsdir},%{_datadir}/xine/skins}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=$RPM_BUILD_ROOT%{_datadir}/doc/xine

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Multimedia/xine.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/xine/skins

%{!?_without_aa:install -d $RPM_BUILD_ROOT%{_abindir}}
%{!?_without_aa:install $RPM_BUILD_ROOT%{_bindir}/aaxine $RPM_BUILD_ROOT%{_abindir}}
%{?_with_directfb:install -d $RPM_BUILD_ROOT%{_abindir}}
%{?_with_directfb:install $RPM_BUILD_ROOT%{_bindir}/dfbxine $RPM_BUILD_ROOT%{_abindir}}

mv $RPM_BUILD_ROOT%{_datadir}/locale/{pl_PL,pl}

cp src/xitk/xine-toolkit/README doc/README.xitk

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc doc/{FAQ_en,README_en,README.*,bug_report_form} ChangeLog
%lang(de) %doc doc/{README,FAQ}_de
%lang(es) %doc doc/{README,FAQ}_es
%lang(fi) %doc doc/README_fi
%lang(fr) %doc doc/{README,FAQ}_fr
%lang(it) %doc doc/{README,FAQ}_it
%lang(pl) %doc doc/{README,README.dxr3,FAQ}_pl
%lang(uk) %doc doc/{README,FAQ}_uk
%attr(755,root,root) %{_bindir}/xine
%attr(755,root,root) %{_bindir}/xine-bugreport
%attr(755,root,root) %{_bindir}/xine-check
%attr(755,root,root) %{_bindir}/xine-remote
%{_datadir}/xine/skins/*
%{_datadir}/xine/desktop
%{_mandir}/man1/*.1*
%lang(de) %{_mandir}/de/man1/*.1*
%lang(es) %{_mandir}/es/man1/*.1*
%lang(fr) %{_mandir}/fr/man1/*.1*
%lang(pl) %{_mandir}/pl/man1/*.1*
%{_applnkdir}/Multimedia/xine.desktop
%{_pixmapsdir}/*
# CORBA files 
#%{_datadir}/idl/xine.idl
#%attr(755,root,root) %{_bindir}/xine-remote

%{!?_without_aa:%files aa}
%{!?_without_aa:%defattr(644,root,root,755)}
%{!?_without_aa:%attr(755,root,root) %{_abindir}/aaxine}

%{?_with_directfb:%files dfb}
%{?_with_directfb:%defattr(644,root,root,755)}
%{?_with_directfb:%attr(755,root,root) %{_abindir}/dfbxine}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xine-ui.spec,v $
Revision 1.49  2002/10/01 14:46:33  adgor
- Oops... fixed %%doc

Revision 1.48  2002/10/01 13:34:46  adgor
- Updated to 0.9.13

Revision 1.47  2002/09/21 16:48:04  blues
- release 3 - added requires xine-plugin-audio - STBR

Revision 1.46  2002/06/29 23:27:36  ankry
- use existing dirs (pl) for pl locale files
- added missing fi doc
- release 2

Revision 1.45  2002/06/24 19:39:01  kloczek
- disable lirc support on alpha and sparc*.

Revision 1.44  2002/06/24 16:57:10  kloczek
- simplification (use --all-name in %%find_lang macro parameters)

Revision 1.43  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.42  2002/06/23 15:03:24  jajcus
- fixed (back) automake invokation

Revision 1.41  2002/06/23 14:48:37  jajcus
- Release: 1

Revision 1.40  2002/06/23 12:39:34  jajcus
- Upgrade to 0.9.12 and fixes started

Revision 1.39  2002/06/21 12:14:57  wrobell
- ver. 0.9.11

Revision 1.38  2002/06/21 10:35:45  ankry
- added ac-am.patch
- release 2;STBR

Revision 1.37  2002/06/11 22:56:02  filon
- updated to 0.9.10
- added dfb subpakcage with dfbxine (for DirectFB)
- added confitional _with_directfb
- added many missing files, thx to my rpm changes :-)
- release 1, STBR

Revision 1.36  2002/05/22 08:29:44  qboosh
- removed skins dir and skins/xine_logo.png file (belong to xine-lib)
- new %%doc, release 0.3

Revision 1.35  2002/05/21 23:15:05  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.34  2002/05/03 21:32:56  filon
- aalib-devel implies gpm-devel, slang-devel
- release 0.2

Revision 1.33  2002/05/02 22:55:54  mkochano
- More BuildRequires.
- xinerc removed from %%files. There is no such file.

Revision 1.32  2002/05/02 16:54:52  jajcus
- Version: 0.9.9

Revision 1.31  2002/04/24 04:41:24  kloczek
- release 3: merge translations from Conectiva.

Revision 1.30  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.29  2002/03/03 08:35:56  kloczek
- release 2: added png Icon for desktop file.

Revision 1.28  2002/02/27 03:53:43  kloczek
- updated to 0.9.8 (merge DEVEL branch).

Revision 1.27  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/20 12:31:38  jajcus
- Version: 0.9.8

Revision 1.25.2.2  2002/01/20 15:38:18  jajcus
- missing english docs added

Revision 1.25.2.1  2002/01/20 12:31:52  jajcus
- Version: 0.9.8

Based on spec by Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
